Page MenuHomeFreeBSD

New port: x11/sddm
ClosedPublic

Authored by tcberner on Jul 17 2017, 9:43 AM.

Details

Reviewers
rakuco
adridg
Group Reviewers
kde
Commits
rP449358: New port: x11/sddm
Summary

sddm is a qml based login manager

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Jul 17 2017, 9:43 AM

I would also be happy if we just commited the UIDs/GIDs part so that we have something fixed for the future..

adridg edited edge metadata.Aug 2 2017, 4:20 PM

Builds on 10.3 against current HEAD of ports tree; haven't actually tried it yet, though.

adridg requested changes to this revision.Aug 6 2017, 8:41 PM

Works fine in combination with KDE4, but needs the remaining changes that have been pushed to Area51 plasma5/ to be added, too.

This revision now requires changes to proceed.Aug 6 2017, 8:41 PM
rakuco added inline comments.Aug 31 2017, 6:53 PM
GIDs
162 ↗(On Diff #30856)

Can you rebase the patch? This uid/gid has been taken.

x11/sddm/Makefile
21 ↗(On Diff #30856)

It'd be good to explain why.

tcberner updated this revision to Diff 32557.Aug 31 2017, 7:35 PM
tcberner edited edge metadata.

sddm++

tcberner added inline comments.Aug 31 2017, 7:45 PM
x11/sddm/Makefile
21 ↗(On Diff #30856)

I don't know enough PAM to write an OpenPAM compatible pam file to be used.
So I opted to use the passwd-based backend -- the two backends are exclusive.

rakuco accepted this revision.Aug 31 2017, 10:19 PM

Assuming the pending changes that Ade mentioned have been incorporated, shipit!

x11/sddm/Makefile
21 ↗(On Diff #30856)

Explaining that we're disabling PAM because the code isn't compatible with OpenPAM, even if you don't know how/why, already helps.

tcberner updated this revision to Diff 32622.Sep 3 2017, 9:06 AM

Add the session files for

  • kde4 (in x11/kde4-workspace -- makes more sense than to ship it with sddm)
  • xinitrc

and a launch script for the latter.

adridg accepted this revision.Sep 3 2017, 2:19 PM

lgtm. i've been using this sddm to log into my kde4 desktop on 10.3 for a while, and it seems to support all the bits that are needed, except shutdown from inside the kde4 session (you can logout, and then shutdown from the sddm login screen, though).

This revision is now accepted and ready to land.Sep 3 2017, 2:19 PM
Closed by commit rP449358: New port: x11/sddm (authored by tcberner, committed by ). · Explain WhySep 6 2017, 7:33 PM
This revision was automatically updated to reflect the committed changes.